Subject: bug#38370: 26.2; Confusing message 'Hunk already applied' in diff-mode

From: Juri Linkov <[email-masked]>
Date: Fri, 21 Aug 2020 02:32:56 +0300

>>> Yeah, I've always found that messaging to be confusing and worrisome, as
>>> if I had entered a command to change the source code instead of just
>>> moving around in it.
>>
>> Hmm... I liked having that information without having to remember how to
>> run `diff-test-hunk`.  I agree it was more harmful than useful when moving
>> around as in the OP's case, but it was handy when using RET.
>
> Hm...  perhaps we should just change the message instead so it doesn't
> sound so much like a warning?  For instance...  Uhm...  No, I can't
> think of anything short that can't be interpreted as warning right
> now...

Maybe add this message to the default value of 'ignored-messages'
from bug#42865.  Then it could be easily removed with

  (delete-from-list 'ignored-messages "^Hunk already applied")